Bug 458539 - man nfs : wrong information about nfs version used
man nfs : wrong information about nfs version used
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: util-linux (Show other bugs)
All Linux
low Severity low
: rc
: ---
Assigned To: Karel Zak
Depends On:
  Show dependency treegraph
Reported: 2008-08-09 10:35 EDT by Antoine Brenner
Modified: 2009-05-18 15:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-05-18 15:02:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Antoine Brenner 2008-08-09 10:35:08 EDT
Description of problem:

According to the 'man nfs' page, default nfs mount will use nfs V2:
Version 2 is the default protocol version for the nfs file system type when nfsvers= is not specified on the mount command.

This is not true according to my tests. The default is nfs V3 on RHEL 4
( This can be checked with 'cat /proc/mounts |grep v3' after an nfs mount without nfsvers= )

http://www.redhat.com/docs/manuals/enterprise/RHEL-5-manual/Deployment_Guide-en-US/s1-nfs-client-config-options.html says:

If no version is specified, NFS uses the highest supported version by the kernel and mount command.

I think that is what happens as well with RHEL 4

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. create an nfs export from a RHEL4 servre
2. mount the nfs from a RHEL4 server
3. Check that NFS version used is 3 not 2 with 
cat /proc/mounts |grep v3
4. This is not what the man page says
Actual results:
v3 is used, but man page says v2 will be used instead

Expected results:
"man nfs" should probably says that if no version is specified, NFS uses the highest supported version by the kernel and mount command.

Additional info:
Comment 3 Steve Dickson 2009-03-06 06:15:58 EST
Fixed in util-linux-2.12a-24.el4 (since that's where the man
page lives)
Comment 9 errata-xmlrpc 2009-05-18 15:02:11 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.